opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Public Member Functions | Public Attributes | Static Public Attributes | List of all members
cv::Mesh3D Class Reference

`#include <contrib.hpp>`

## Classes
struct | EmptyMeshException

## Public Member Functions
void | buildOctree ()
void | clearOctree ()
void | computeNormals (float normalRadius, int minNeighbors=20)
void | computeNormals (const vector< int > &subset, float normalRadius, int minNeighbors=20)
float | estimateResolution (float tryRatio=0.1f)
| Mesh3D ()
| Mesh3D (const vector< Point3f > &vtx)
void | writeAsVrml (const String &file, const vector< Scalar > &colors=vector< Scalar >()) const
| ~Mesh3D ()

## Public Attributes
vector< Point3f > | normals
Octree | octree
float | resolution
vector< Point3f > | vtx

## Static Public Attributes
static const Point3f | allzero

## Constructor & Destructor Documentation

cv::Mesh3D::Mesh3D | ( |  | ) |

cv::Mesh3D::Mesh3D | ( | const vector< Point3f > & | vtx | ) |

cv::Mesh3D::~Mesh3D | ( |  | ) |

## Member Function Documentation

void cv::Mesh3D::buildOctree | ( |  | ) |

void cv::Mesh3D::clearOctree | ( |  | ) |

void cv::Mesh3D::computeNormals | ( | float | normalRadius,
|  | int | minNeighbors = `20`
| ) |  |

void cv::Mesh3D::computeNormals | ( | const vector< int > & | subset,
|  | float | normalRadius,
|  | int | minNeighbors = `20`
| ) |  |

float cv::Mesh3D::estimateResolution | ( | float | tryRatio = `0.1f` | ) |

void cv::Mesh3D::writeAsVrml | ( | const String & | file,
|  | const vector< Scalar > & | colors = `vector< Scalar >()`
| ) |  | const

## Member Data Documentation

const Point3f cv::Mesh3D::allzero
| static

vector<Point3f> cv::Mesh3D::normals

Octree cv::Mesh3D::octree

float cv::Mesh3D::resolution

vector<Point3f> cv::Mesh3D::vtx

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/contrib/include/opencv2/contrib/contrib.hpp